Subject: Re: git whatchanged

From: "Kristoffer Haugsbakk" <[email-masked]>
Date: Mon, 13 Oct 2025 15:47:26 +0200

On Mon, Oct 13, 2025, at 14:44, Grzegorz Koperwas wrote:
> I recently got this output from git:
>
>> 'git whatchanged' is nominated for removal.
>> If you still use this command, please add an extra
>> option, '--i-still-use-this', on the command line
>> and let us know you still use it by sending an e-mail
>> to <[email-masked]>.  Thanks.
>> fatal: refusing to run without --i-still-use-this
>
> I am letting you know, that I still use this command :)

This command is being removed because it was supplanted by git-log(1) a
long while ago. Both commands use the same machinery, just with
different defaults.

You can replace it with `git log` in this way:

• Given: `git whatchanged <opts>`
• Replace with: `git log <opts> --no-merges --raw`

Additionally for the sake of readability, you might have more
use for `--stat` or `--name-only` rather than `--raw` if you are only
reading the output (not feeding the output to another program).